Skip to main content

Get shipment point details

GET https://delivery-api.paysera.com/rest/v1/shipment-points/{id}

Retrieve a single shipment point by ID.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, please refer to the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idinteger✓Shipment point identifier

Example​

Request​

GET https://delivery-api.paysera.com/rest/v1/shipment-points/{id}
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"id": 1,
"type": "sender",
"contact": {
"name": "TODO"
},
"address": {
"city": "TODO"
}
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://delivery-api.paysera.com

RESPONSE

Shipment point retrieved successfully
{
"id": 1,
"type": "sender",
"contact": {
"name": "TODO"
},
"address": {
"city": "TODO"
}
}